summary refs log tree commit diff
diff options
context:
space:
mode:
authorYadunand Prem <yadunut@gmail.com>2019-10-29 09:13:07 +1100
committerJoel Challis <git@zvecr.com>2019-10-28 22:13:07 +0000
commit917ab71c52111c5ca89382eba74e08e616264d59 (patch)
treea4974e51db7cf355ee2c81c29bb45cfdb6ac5b55
parent6d7c6d4fd6a4af8e0355b5d10c68db3274c1a7f8 (diff)
Clean macos install script (#7186)
-rwxr-xr-xutil/macos_install.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/util/macos_install.sh b/util/macos_install.sh
index d9ec50a7e2..c5c27d1670 100755
--- a/util/macos_install.sh
+++ b/util/macos_install.sh
@@ -2,20 +2,20 @@
 
 util_dir=$(dirname "$0")
 
-if ! brew --version 2>&1 > /dev/null; then
+if ! brew --version >/dev/null 2>&1; then
 	echo "Error! Homebrew not installed or broken!"
 	echo -n "Would you like to install homebrew now? [y/n] "
-	while read ANSWER; do
+	while read -r ANSWER; do
 		case $ANSWER in
-			y|Y)
-				/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
-				break
+		y | Y)
+			/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
+			break
 			;;
-			n|N)
-				exit 1
+		n | N)
+			exit 1
 			;;
-			*)
-				echo -n "Would you like to install homebrew now? [y/n] "
+		*)
+			echo -n "Would you like to install homebrew now? [y/n] "
 			;;
 		esac
 	done
@@ -26,4 +26,4 @@ brew tap PX4/homebrew-px4
 brew update
 brew install avr-gcc@8 gcc-arm-none-eabi dfu-programmer avrdude clang-format dfu-util python3
 brew link --force avr-gcc@8
-pip3 install -r ${util_dir}/../requirements.txt
+pip3 install -r "${util_dir}/../requirements.txt"